package org.gcube.resourcemanagement.manager.io.codeexceptions;

import javax.ws.rs.core.GenericEntity;

/**
 * An entity to wrapf {@link SerializableErrorCode}s into a {@link WebCodeException}.
 * 
 * @author Manuele Simi (ISTI CNR)
 *
 */
public class CodeEntity extends GenericEntity<SerializableErrorCode> {

	/**
	 * @param entity
	 */
	protected CodeEntity(SerializableErrorCode entity) {
		super(entity);
	}

}
